Page MenuHomePhabricator

ELF: Make dynamic table tags machine aware.
ClosedPublic

Authored by khemant on Dec 27 2016, 11:31 AM.

Details

Summary

While adding Hexagon specific tags, I noticed all MIPS tags were added with generic ELF tags. This shorted out the logic to display hexagon DT tags. Changing this to make the getTypeString() function to be e_machine aware.

Diff Detail

Repository
rL LLVM

Event Timeline

khemant updated this revision to Diff 82554.Dec 27 2016, 11:31 AM
khemant retitled this revision from to ELF: Make dynamic table tags machine aware..
khemant updated this object.
khemant added reviewers: echristo, Bigcheese.
khemant set the repository for this revision to rL LLVM.
khemant added a subscriber: compnerd.
compnerd added inline comments.Dec 27 2016, 11:34 AM
tools/llvm-readobj/ELFDumper.cpp
1575

Shouldnt this be with the rest of the MIPS set?

compnerd accepted this revision.Dec 27 2016, 11:34 AM
compnerd edited edge metadata.
This revision is now accepted and ready to land.Dec 27 2016, 11:34 AM
khemant added inline comments.Dec 27 2016, 11:51 AM
tools/llvm-readobj/ELFDumper.cpp
1575

Correct, a dd/p mistake in vim. I will remove this line and merge in. Thanks for the quick review.

echristo accepted this revision.Jan 3 2017, 6:52 PM
echristo edited edge metadata.
compnerd closed this revision.Jan 4 2017, 11:55 AM

This was committed 2017-12-27.

SVN r290623